<template>
	<main class="mt-36">
		<h2 class="contents-title">Default Air Datepicker</h2>
		<date-picker type="date" v-model="defaultDatePicker"></date-picker>
		<div class="mt-4">
			<div class="tab">
				<button
					v-for="(tab, index) in tabs"
					:key="index"
					@click="activeTab = index"
					:class="{ active: activeTab === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs"
					:key="index"
					v-show="activeTab === index"
				>
					<Code :codeText="tab.content" />
				</div>
			</div>
		</div>
		<hr />
		<h2 class="contents-title">Multiple Dates</h2>
		<date-picker
			type="date"
			v-model="multiDatePicker"
			:multiple="true"
			range-separator=", "
		></date-picker>
		<Code :codeText="multipleDates" />
		<hr />
		<h2 class="contents-title">Month Selection</h2>
		<date-picker type="month" v-model="monthDatePicker"></date-picker>
		<Code :codeText="monthSelection" />
		<hr />
		<h2 class="contents-title">Range of Dates</h2>
		<date-picker
			type="date"
			v-model="rangeDatePicker"
			:range="true"
			:multiple="true"
			range-separator=", "
		></date-picker>
		<Code :codeText="rangeOfDates" />
		<ContentFooter />
	</main>
</template>

<script>
import DatePicker from 'vue2-datepicker'
import 'vue2-datepicker/index.css'
export default {
	components: { DatePicker },
	data() {
		return {
			defaultDatePicker: null,
			multiDatePicker: null,
			monthDatePicker: null,
			rangeDatePicker: null,
			activeTab: 0,
			tabs: [
				{
					title: 'HTML',
					content: `<input class="form-input datepicker-here js-date" type="text">`
				},
				{
					title: 'JavaScript',
					content: `_.exist('.js-date')
    .then(_.toJqueryObject)
    .then($datepicker => {
        datepicker.datepicker({
            language: 'en'
        })
    })
    .catch(_.noop)`
				}
			],
			multipleDates: `<input class="form-input datepicker-here js-date"
       type="text"
       data-multiple-dates="3"
       data-multiple-dates-separator=", "
       data-position="top left">`,
			monthSelection: `<input class="form-input datepicker-here js-date"
       type="text"
       data-min-view="months"
       data-view="months"
       data-date-format="MM yyyy">`,
			rangeOfDates: `<input class="form-input datepicker-here js-date"
       type="text"
       data-range="true"
       data-multiple-dates-separator=" - "
       data-position="top right">`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
